Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.quality
Class EvaluationMethodType

    Object
      CodeList<EvaluationMethodType>
          EvaluationMethodType

All Implemented Interfaces:
  Serializable, Comparable<EvaluationMethodType>

    @UML(identifier="DQ_EvaluationMethodTypeCode",
         specification=ISO_19115)
    public final class EvaluationMethodType

extends CodeList<EvaluationMethodType>

Type of method for evaluating an identified data quality measure.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static EvaluationMethodType` | `DIRECT_EXTERNAL` Method of evaluating the quality of a dataset based on inspection of items within the dataset, where reference data external to the dataset being evaluated is required.
`static EvaluationMethodType` | `DIRECT_INTERNAL` Method of evaluating the quality of a dataset based on inspection of items within the dataset, where all data required is internal to the dataset being evaluated.
`static EvaluationMethodType` | `INDIRECT` Method of evaluating the quality of a dataset based on external knowledge.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static EvaluationMethodType` | `valueOf(String code)` Returns the EvaluationMethodType that matches the given string, or returns a new one if none match it.
`static EvaluationMethodType[]` | `values()` Returns the list of `EvaluationMethodType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DIRECT_INTERNAL

    @UML(identifier="directInternal",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final EvaluationMethodType DIRECT_INTERNAL

  Method of evaluating the quality of a dataset based on inspection of items within the dataset, where all data required is internal to the dataset being evaluated.

### DIRECT_EXTERNAL

    @UML(identifier="directExternal",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final EvaluationMethodType DIRECT_EXTERNAL

  Method of evaluating the quality of a dataset based on inspection of items within the dataset, where reference data external to the dataset being evaluated is required.

### INDIRECT

    @UML(identifier="indirect",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final EvaluationMethodType INDIRECT

  Method of evaluating the quality of a dataset based on external knowledge.

Method Detail

### values

    public static EvaluationMethodType[] values()

  Returns the list of `EvaluationMethodType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<EvaluationMethodType>`

### valueOf

    public static EvaluationMethodType valueOf(String code)

  Returns the EvaluationMethodType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.